require 'pandoras_box/box'
require 'fileutils'

class BashImportBox < Box
  @@name          = 'default_bash2zsh'
  @@description   = 'Bash -> zsh'
  @@download_repo = 'hunterboerner/Boxes'

  def pre_steps
    unless system('zsh --version')
      abort('ZSH is not installed! Install it!')
    end
  end

  def custom_install_steps
    FileManager.generate_from_array(['zsh/modules/'])
    %w(bashrc bash_profile).each do |file|
      puts "Copying #{file} to modules"
      dest = "#{ENV['HOME']}/.pandorasbox/zsh/modules/#{file}.zsh"
      FileUtils.mkpath(File.dirname(dest))
      FileUtils.copy("#{ENV['HOME']}/.#{file}", dest)
    end
    `chsh -s /bin/zsh`
  end

end