require 'colorize'

module CLI
  class << self
    def prompt_boolean(message)
      prompt = "#{message.green}#{' (y/n)'.blue} "
      print "#{'[ WAIT ]'.yellow} #{prompt}"
      raw_answer = STDIN.gets.chomp
      answer     = 'y' == raw_answer
      overwrite 1
      if answer
        puts "#{'[ YES ] '.green} #{prompt}"
      else
        puts "#{'[ NO ]  '.red} #{prompt}"
      end

      answer
    end

    def prompt_multiple_choice(title, choices, custom_message=nil)
      overwrite_lines = 2
      puts title.green.underline
      unless custom_message.nil?
        puts custom_message
        overwrite_lines += 1
      end

      choices.each_with_index do |choice, i|
        puts "#{"#{i})"} #{choice.blue}"
      end

      raw_answer = STDIN.gets.chomp
      overwrite(choices.length + overwrite_lines)
      raw_answer
    end

    def prompt_description(title, description)
      puts title.green.underline
      puts description.blue
      response = prompt_boolean('Use?')
      overwrite(3)
      response
    end

    def overwrite(height)
      height.times do
        print "\033[1A\033[K"
      end
    end
  end
end