require 'pandoras_Box/cli'
require 'pandoras_box/box'

class Installer
  class << self
    def install
      prompt_install
    end

    def prompt_install
      titles          = Box.default_boxes.map { |box| box.name }
      boxes           = Box.default_boxes

      if CLI.prompt_boolean('Would you like to see all boxes')
        titles = Box.boxes.map { |box| box.name }
        boxes = Box.boxes
      end
      continue        = true
      response_number = nil

      while continue
        response        = CLI.prompt_multiple_choice('Install Box', titles, 'For description, respond with <#>d')
        response_number = response.to_i
        if response.include? 'd'
          response_number = response.delete!('d').to_i
          if CLI.prompt_description(boxes[response_number].name, boxes[response_number].description)
            continue = false
          end
        else
          continue = false
        end
      end

      unless response_number.nil?
        boxes[response_number].install
      end
    end
  end
end