require 'pandoras_box/version'
require 'pandoras_box/install'
require 'pandoras_box/file_manager'
require 'pandoras_box/help'

Dir["#{__dir__}/boxes/*.rb"].each do |file|
  require file
  Object.const_get(FileManager.camelize(File.basename(file, '.rb'))).new
end

FileManager.load_boxes

class PandorasBox
  def run(argv)
    case argv[0]
      when 'install'
        Installer.install
      when 'import'
        if argv[1] && argv[2]
          FileManager.modulify(argv[1], argv[2])
        else
          puts 'Wrong # of arguments'
        end
      when 'add'
        if argv[1]
          FileManager.add_box_bundle(argv[1])
        else
          puts 'Wrong # of arguments'
        end
      when 'current'
        puts FileManager.get_current_box
      when 'help'
        puts HELP
      else
        puts HELP
    end
  end
end